#ifndef SoXtOLDialog_H
#define SoXtOLDialog_H

#include <Inventor/Xt/SoXtComponent.h>
#include <Xm/Xm.h>
#include <Xm/SelectioB.h>

class SoXtWebViewer;

class SoXtOLDialog : public SoXtComponent
  {
     public:
     SoXtOLDialog( SoXtWebViewer* vw, Widget parent = NULL, const char* name = NULL,
	      SbBool buildInsideParent = TRUE );
     ~SoXtOLDialog() { XtDestroyWidget( locationDialog ); }

     private:
     static void OpenLocationCB( Widget w, SoXtWebViewer* vw, XmSelectionBoxCallbackStruct* cbs );

     Widget locationDialog;     
     enum{ DIALOG_WIDTH=540 };
  };

#endif /*SoXtOLDialog_H*/
